package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.bonus.canteen.core.common.enums.AllocMealtimeTypeEnum;
import java.util.List;

@ApiModel("获取一周菜谱详情")
public class AppletWeekRecipeVO {
   @ApiModelProperty("餐次类型")
   private Integer mealtimeType;
   @ApiModelProperty("餐次名称")
   private String mealtimeName;
   @ApiModelProperty("分类详情")
   private List<AppletWeekRecipeTypeVO> typeList;

   public String getMealtimeName() {
      return AllocMealtimeTypeEnum.getDescByKey(this.mealtimeType);
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public List<AppletWeekRecipeTypeVO> getTypeList() {
      return this.typeList;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setMealtimeName(final String mealtimeName) {
      this.mealtimeName = mealtimeName;
   }

   public void setTypeList(final List<AppletWeekRecipeTypeVO> typeList) {
      this.typeList = typeList;
   }
}
